aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorRichard Purdie <rpurdie@linux.intel.com>2010-07-22 13:19:24 +0100
committerRichard Purdie <rpurdie@linux.intel.com>2010-07-22 13:19:24 +0100
commit9832fd3e2270b837c31cbb9b33f33452d6a3f398 (patch)
treece7e8b7543c5582f42d09ebbd0e3ec1bbbde7eb4 /scripts
parentc2f71a86f5eb040932adf695887a1885d760f536 (diff)
downloadopenembedded-core-contrib-9832fd3e2270b837c31cbb9b33f33452d6a3f398.tar.gz
poky-env-internal: Cleanup after the recent layer improvements
Signed-off-by: Richard Purdie <rpurdie@linux.intel.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/poky-env-internal42
1 files changed, 2 insertions, 40 deletions
diff --git a/scripts/poky-env-internal b/scripts/poky-env-internal
index d25816c6a6..c814314744 100755
--- a/scripts/poky-env-internal
+++ b/scripts/poky-env-internal
@@ -44,55 +44,17 @@ if ! (test -w "$BUILDDIR"); then
fi
BITBAKEDIR="$OEROOT/bitbake$BBEXTRA/"
-PKGDIR="$OEROOT/meta/"
-BBPATH="$BITBAKEDIR $PKGDIR"
-
-#
-# Add in any extra meta-* repositories to BBPATH
-#
-METAREPOS=`cd $OEROOT; find . -maxdepth 1 -name 'meta-*' -type d| sed -e 's#./##g'`
-for repo in $METAREPOS
-do
- # meta-openmoko is disabled by default - see local.conf.sample to enable it
- if [ $repo = "meta-openmoko" ]; then
- continue
- fi
- # meta-extras is disabled by default - see local.conf.sample to enable it
- if [ $repo = "meta-extras" ]; then
- continue
- fi
- if [ -e $OEROOT/$repo/poky-extra-environment ]; then
- . $OEROOT/$repo/poky-extra-environment
- fi
-done
-
-BBPATH="$BBPATH $HOME/.oe $HOME/.poky $BUILDDIR"
-
-#
-# Remove any symlinks from BBPATH
-#
-NEWPATH=""
-for p in $BBPATH
-do
- p2=`readlink -f "$p"`
- NEWPATH="$p2:$NEWPATH"
-done
-BBPATH="$NEWPATH"
-
-
-MSG=''
PATH="$BITBAKEDIR/bin/:$OEROOT/scripts:$PATH"
# Remove any symlinks from paths
BITBAKEDIR=`readlink -f "$BITBAKEDIR"`
-PKGDIR=`readlink -f "$PKGDIR"`
BUILDDIR=`readlink -f "$BUILDDIR"`
OEROOT=`readlink -f "$OEROOT"`
cd "$BUILDDIR"
-if ! (test -d "$BITBAKEDIR" && test -d "$PKGDIR" && test -d "$BUILDDIR"); then
+if ! (test -d "$BITBAKEDIR" && test -d "$BUILDDIR"); then
echo >&2 "Error: Not all directories exist! Did you run this script in poky directory?"
return
fi
@@ -124,7 +86,7 @@ fi
unset POKYLOCALCONF
unset POKYLAYERCONF
-export BBPATH OEROOT BUILDDIR
+export OEROOT BUILDDIR
# Kill off the TERMINFO variable, as glibc will grab its contents in its 'make
# install' if set